libgig 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1135143 漏洞类型 缓冲区错误
发布时间 2017-08-21 更新时间 2019-10-23
CVE编号 CVE-2017-12951 CNNVD-ID CNNVD-201708-822
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201708-822
|漏洞详情
libgig是一个用于加载、修改和创建Gigasamlier和DLS文件的C++库。 libgig 4.0.0版本中的gig.cpp文件的‘gig::DimensionRegion::CreateVelocityTable’函数存在安全漏洞。远程攻击者可借助特制的gig文件利用该漏洞造成拒绝服务(基于栈的缓冲区越边界读取和应用程序崩溃)。
|参考资料

来源:FULLDISC
链接:http://seclists.org/fulldisclosure/2017/Aug/39